Name:          rabbitvcs
Version:       0.19
Release:       1mamba
Summary:       Easy version control
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://rabbitvcs.org
Source:        https://github.com/rabbitvcs/rabbitvcs.git/v%{version}/rabbitvcs-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
Requires:      meld
Requires:      subversion
Requires:      python-configobj-py3
Requires:      python-simplejson-py3
Requires:      pygobject-py3
Requires:      python-dulwich-py3
Requires:      git
Requires:      meld
Requires:      python-pygments-py3
Requires:      tk
BuildArch:     noarch

%description
RabbitVCS is a set of graphical tools written to provide simple and straightforward access to the version control systems you use.
We provide multiple clients and extensions designed to give you a uniform experience no matter what development tools you use.

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%dir %{python3_sitearch}/rabbitvcs-%{version}-py*.egg-info
%{python3_sitearch}/rabbitvcs-%{version}-py*.egg-info/*
%doc AUTHORS COPYING

%changelog
* Sun Oct 08 2023 Automatic Build System <autodist@mambasoft.it> 0.19-1mamba
- automatic version update by autodist

* Mon Apr 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.18-1mamba
- update to 0.18

* Wed Feb 19 2014 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.15.3-1mamba
- package created using the webbuild interface
